### Method

# Vte Terminal set_word_char_exceptions

since: 0.40

#### Declaration [src]

    void
    vte_terminal_set_word_char_exceptions (
      VteTerminal* terminal,
      const char* exceptions
    )

#### Description [src]

With this function you can provide a set of characters which will be considered parts of a word when doing word-wise selection, in addition to the default which only considers alphanumeric characters part of a word.

The characters in `exceptions` must be non-alphanumeric, each character must occur only once, and if `exceptions` contains the character U+002D HYPHEN-MINUS, it must be at the start of the string.

Use `NULL` to reset the set of exception characters to the default.

Available since: 0.40

#### Parameters

`exceptions`

  Type: `const char*`

  A string of ASCII punctuation characters, or `NULL`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.